C****************************************************************
C* 								*
C*								*
C*	DIGITAL EQUIPMENT CORPORATION ASSUMES NO RESPONSIBILITY *
C*	EITHER FOR THE CREATION OR FOR THE CLINICAL EFFICACY	*
C*	OF THIS PROGRAM. USERS MUST ASSUME FULL RESPONSIBILITY	*
C*	FOR ANY RESULTS OR DIAGNOSES OBTAINED FROM THE USE	*
C*	OF THIS PROGRAM. QUESTIONS ON THE EXECUTION OF THIS	*
C*	PROGRAM MUST BE REFERRED BACK TO THE ORIGINAL AUTHOR.	*
C*								*
C* AUTHOR:	SALLY FORSTER					*
C*		C/O DEPARTMENT OF NUCLEAR MEDICINE		*
C*		GUY'S HOSPITAL				*
C*		LONDON, ENGLAND					*
C*								*
C*		TEL: 01-407-7600 EXT 2583/4			*
C*								*
C****************************************************************
	SUBROUTINE IC1TO6(ISV,IE)
	IMPLICIT LOGICAL*1 (A)
	IMPLICIT REAL*4    (C)
	IMPLICIT INTEGER*2 (D-Z)
	COMMON//SAVDES(256),CURVE1(512),CURVE2(512),ICS,ICB,ICOM
	COMMON/WINDOW/FST,LST
	COMMON/LINEAR/ALIN,AINTER,ATOSEC
C*****COMMANDS TAKING A SINGLE INTEGER PARAMETER
	IF(ICOM.EQ.27)ATOSEC=.TRUE.
	IF(ICOM.EQ.4)ATOSEC=.FALSE.
	IE=12
	IF(ICOM.LE.6)GOTO 10
C*****	       TC,TO,TN
	GOTO (140,150,150)ICOM-26
C*****     RS  WS  SC  DC  PO  NO
10	GOTO(100,110,120,140,150,150),ICOM
C*****RS..1
100	ALIN=AFL
	CALL CLEART
C*****WS..2
110	IF(ISV.GT.9.OR.ISV.LE.0)GOTO 1065
	IF(SVIO(ISV,ICOM))1060,1050,20
C*****SC..3
120	IF(ICVS(ISV))1050,20,20
C*****DC..4
C*****TC..27
140	IF(ICVG(ISV))1050,145,145
145	IF(ICOM.EQ.27)CALL TOSEC(1)
	FST=1
	LST=SAVDES(108)
1000	IE=13
20	RETURN
C*****PO..5
C*****NO..6
C*****TO..28
C*****TN..29
150	IF(ISV.GT.SAVDES(184))GOTO 1045
	IF(GCV(2,ISV).LT.0)GOTO 1050
	IF(ICOM.GT.6)CALL TOSEC(2)
	IF(ICOM.EQ.5.OR.ICOM.EQ.28)GOTO 1010
	CALL NORM(2,ISV)
1010	IE=1
	RETURN
1050	IE=6
	RETURN
1045	IE=5
	RETURN
1060	WRITE(7,1061)
1061	FORMAT(1X,'SAVE AREA NOT FOUND')
	GOTO 1110
1065	WRITE(7,1066)
1066	FORMAT(1X,'SAVE AREA 0->9?')
1110	IE=9
	RETURN
	END
